Bug 1471814 - [abrt] copr-frontend: os.py:157:makedirs:OSError: [Errno 13] Permission denied: '/usr/share/copr/coprs_frontend/coprs/../../data'
[abrt] copr-frontend: os.py:157:makedirs:OSError: [Errno 13] Permission denie...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: copr-frontend (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5d049cccb3c09a33601fc5f1c5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 09:37 EDT by mohammad
Modified: 2017-12-12 05:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:21:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1004 bytes, text/plain)
2017-07-17 09:38 EDT, mohammad
no flags Details
File: dso_list (75 bytes, text/plain)
2017-07-17 09:38 EDT, mohammad
no flags Details
File: environ (1.14 KB, text/plain)
2017-07-17 09:38 EDT, mohammad
no flags Details

  None (edit)
Description mohammad 2017-07-17 09:37:57 EDT
Version-Release number of selected component:
copr-frontend-1.104-1.fc25

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python /usr/share/copr/coprs_frontend/manage.py update_indexes_quick 120
executable:     /usr/share/copr/coprs_frontend/manage.py
kernel:         4.11.8-200.fc25.x86_64
runlevel:       N 5
type:           Python
uid:            966

Truncated backtrace:
os.py:157:makedirs:OSError: [Errno 13] Permission denied: '/usr/share/copr/coprs_frontend/coprs/../../data'

Traceback (most recent call last):
  File "/usr/share/copr/coprs_frontend/manage.py", line 13, in <module>
    from coprs import app
  File "/usr/share/copr/coprs_frontend/coprs/__init__.py", line 33, in <module>
    whooshee = Whooshee(app)
  File "/usr/lib/python2.7/site-packages/flask_whooshee.py", line 215, in __init__
    self.init_app(app)
  File "/usr/lib/python2.7/site-packages/flask_whooshee.py", line 250, in init_app
    os.makedirs(config['index_path_root'])
  File "/usr/lib64/python2.7/os.py", line 150, in makedirs
    makedirs(head, mode)
  File "/usr/lib64/python2.7/os.py", line 157, in makedirs
    mkdir(name, mode)
OSError: [Errno 13] Permission denied: '/usr/share/copr/coprs_frontend/coprs/../../data'

Local variables in innermost frame:
tail: 'data'
head: '/usr/share/copr/coprs_frontend/coprs/../..'
name: '/usr/share/copr/coprs_frontend/coprs/../../data'
mode: 511

Potential duplicate: bug 1357626
Comment 1 mohammad 2017-07-17 09:38:04 EDT
Created attachment 1299868 [details]
File: backtrace
Comment 2 mohammad 2017-07-17 09:38:06 EDT
Created attachment 1299869 [details]
File: dso_list
Comment 3 mohammad 2017-07-17 09:38:08 EDT
Created attachment 1299870 [details]
File: environ
Comment 4 Fedora End Of Life 2017-11-16 09:15:22 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 05:21:40 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.